import * as _nuxt_schema from '@nuxt/schema';
import { Config } from '@ngrok/ngrok';

interface ModuleOptions extends Config {
    /**
     * Port, network address, url, or named pipe. Defaults to nuxt devServer
     * Examples: "3000", "localhost:3000", "https://192.168.1.100:8443", "unix:/tmp/my.sock", "pipe://./my-pipe"
     */
    addr?: number | string;
    /**
     * enable ngrok in production mode
     * @default false
     */
    production?: boolean;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { type ModuleOptions, _default as default };
